import React from 'react'
import MatchDisp from './match-disp'

class MatchList extends React.Component {
  render () {
    const filter = this.props.filters.date
    return (
      <div>
        <h2>Matches</h2>
        <ul>
          {this.props.matches.filter((match) =>
            (filter === 'Alle' | match.DatumString === filter)
          ).map((match, key) => (
            <MatchDisp key={key} match={match} />
          ))}
        </ul>
      </div>
    )
  }
}

export default MatchList
