import React from 'react'
import PlayerDisp from './player-disp'

class PlayerList extends React.Component {
  render () {
    return (
      <div>
        <h2>Spielerliste</h2>
        <ul>
          {this.props.players.map((player, key) => (
            <PlayerDisp key={key} player={player} />
          ))}
        </ul>
      </div>
    )
  }
}

export default PlayerList
